
#include <cmpinclude.h>
#include "predlib.h"
init_predlib(){do_init(VV);}
/*	macro definition for DEFTYPE	*/

static L1()
{register object *base=vs_base;
	register object *sup=base+VM1; VC1
	vs_reserve(VM1);
	check_arg(2);
	vs_top=sup;
	{object V1=base[0]->c.c_cdr;
	if(endp(V1))invalid_macro_call();
	base[2]= (V1->c.c_car);
	V1=V1->c.c_cdr;
	if(endp(V1))invalid_macro_call();
	base[3]= (V1->c.c_car);
	V1=V1->c.c_cdr;
	base[4]= V1;}
	{register object V2;
	register object V3;
	V2= base[3];
	V3= Cnil;
T3:;
	if(((V2))!=Cnil){
	goto T4;}
	goto T1;
T4:;
	{register object x= car((V2)),V4= VV[0];
	while(!endp(V4))
	if(eql(x,V4->c.c_car)){
	goto T10;
	}else V4=V4->c.c_cdr;
	goto T8;}
T10:;
	if((car((V2)))==(VV[1])){
	goto T11;}
	goto T1;
T11:;
	V3= make_cons(VV[1],(V3));
	V2= cdr((V2));
T20:;
	if(((V2))==Cnil){
	goto T22;}
	{register object x= car((V2)),V5= VV[0];
	while(!endp(V5))
	if(eql(x,V5->c.c_car)){
	goto T25;
	}else V5=V5->c.c_cdr;
	goto T21;}
T25:;
T22:;
	goto T18;
T21:;
	if(!(type_of(car((V2)))==t_symbol)){
	goto T29;}
	V6= list(2,car((V2)),VV[2]);
	V3= make_cons(/* INLINE-ARGS */V6,(V3));
	goto T27;
T29:;
	V3= make_cons(car((V2)),(V3));
T27:;
	V2= cdr((V2));
	goto T20;
T18:;
	base[5]= (V3);
	base[6]= (V2);
	vs_top=(vs_base=base+5)+2;
	Lreconc();
	vs_top=sup;
	base[3]= vs_base[0];
	goto T1;
T8:;
	{object V7;
	V7= cdr((V2));
	V3= make_cons(car((V2)),(V3));
	V2= (V7);}
	goto T3;}
T1:;
	V8= list(2,VV[6],base[2]);
	V9= list(4,VV[5],/* INLINE-ARGS */V8,list(2,VV[6],listA(4,VV[7],base[2],base[3],base[4])),VV[8]);
	V10= list(2,VV[6],base[2]);
	V11= list(4,VV[5],/* INLINE-ARGS */V10,list(2,VV[9],listA(3,VV[10],base[3],base[4])),VV[11]);
	V12= list(2,VV[6],base[2]);
	V13= (*(LnkLI74))(base[4]);
	V14= list(4,VV[5],/* INLINE-ARGS */V12,/* INLINE-ARGS */V13,VV[12]);
	base[5]= list(6,VV[3],VV[4],/* INLINE-ARGS */V9,/* INLINE-ARGS */V11,/* INLINE-ARGS */V14,list(2,VV[6],base[2]));
	vs_top=(vs_base=base+5)+1;
	return;
}
/*	function definition for G1070	*/

static L2()
{register object *base=vs_base;
	register object *sup=base+VM2; VC2
	vs_reserve(VM2);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= list(3,VV[13],VV[14],VV[15]);
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1071	*/

static L3()
{register object *base=vs_base;
	register object *sup=base+VM3; VC3
	vs_reserve(VM3);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= VV[16];
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1072	*/

static L4()
{register object *base=vs_base;
	register object *sup=base+VM4; VC4
	vs_reserve(VM4);
	{object V15;
	check_arg(1);
	V15=(base[0]);
	vs_top=sup;
TTL:;
	base[1]= list(3,VV[13],small_fixnum(0),one_minus((V15)));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1073	*/

static L5()
{register object *base=vs_base;
	register object *sup=base+VM5; VC5
	vs_reserve(VM5);
	{object V16;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T45;}
	V16=(base[0]);
	vs_top=sup;
	goto T46;
T45:;
	V16= VV[17];
T46:;
	if(!(((V16))==(VV[17]))){
	goto T49;}
	base[1]= VV[18];
	vs_top=(vs_base=base+1)+1;
	return;
T49:;
	V17= one_minus((V16));
	V18= number_expt(small_fixnum(2),/* INLINE-ARGS */V17);
	V19= number_negate(/* INLINE-ARGS */V18);
	V20= one_minus((V16));
	V21= number_expt(small_fixnum(2),/* INLINE-ARGS */V20);
	base[1]= list(3,VV[13],/* INLINE-ARGS */V19,one_minus(/* INLINE-ARGS */V21));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1074	*/

static L6()
{register object *base=vs_base;
	register object *sup=base+VM6; VC6
	vs_reserve(VM6);
	{object V22;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T51;}
	V22=(base[0]);
	vs_top=sup;
	goto T52;
T51:;
	V22= VV[17];
T52:;
	if(!(((V22))==(VV[17]))){
	goto T55;}
	base[1]= VV[19];
	vs_top=(vs_base=base+1)+1;
	return;
T55:;
	V23= number_expt(small_fixnum(2),(V22));
	base[1]= list(3,VV[13],small_fixnum(0),one_minus(/* INLINE-ARGS */V23));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1075	*/

static L7()
{register object *base=vs_base;
	register object *sup=base+VM7; VC7
	vs_reserve(VM7);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= list(2,VV[20],small_fixnum(8));
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1076	*/

static L8()
{register object *base=vs_base;
	register object *sup=base+VM8; VC8
	vs_reserve(VM8);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= list(2,VV[21],small_fixnum(8));
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1077	*/

static L9()
{register object *base=vs_base;
	register object *sup=base+VM9; VC9
	vs_reserve(VM9);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= list(2,VV[20],small_fixnum(16));
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1078	*/

static L10()
{register object *base=vs_base;
	register object *sup=base+VM10; VC10
	vs_reserve(VM10);
	check_arg(0);
	vs_top=sup;
TTL:;
	base[0]= list(2,VV[21],small_fixnum(16));
	vs_top=(vs_base=base+0)+1;
	return;
}
/*	function definition for G1079	*/

static L11()
{register object *base=vs_base;
	register object *sup=base+VM11; VC11
	vs_reserve(VM11);
	{object V24;
	object V25;
	if(vs_top-vs_base>2) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T57;}
	V24=(base[0]);
	vs_base++;
	if(vs_base>=vs_top){vs_top=sup;goto T58;}
	V25=(base[1]);
	vs_top=sup;
	goto T59;
T57:;
	V24= VV[17];
T58:;
	V25= VV[17];
T59:;
	base[2]= list(3,VV[22],(V24),make_cons((V25),Cnil));
	vs_top=(vs_base=base+2)+1;
	return;
	}
}
/*	function definition for G1080	*/

static L12()
{register object *base=vs_base;
	register object *sup=base+VM12; VC12
	vs_reserve(VM12);
	{object V26;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T62;}
	V26=(base[0]);
	vs_top=sup;
	goto T63;
T62:;
	V26= VV[17];
T63:;
	base[1]= list(3,VV[23],VV[24],(V26));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1081	*/

static L13()
{register object *base=vs_base;
	register object *sup=base+VM13; VC13
	vs_reserve(VM13);
	{object V27;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T65;}
	V27=(base[0]);
	vs_top=sup;
	goto T66;
T65:;
	V27= VV[17];
T66:;
	base[1]= list(3,VV[23],VV[25],(V27));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1082	*/

static L14()
{register object *base=vs_base;
	register object *sup=base+VM14; VC14
	vs_reserve(VM14);
	{object V28;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T68;}
	V28=(base[0]);
	vs_top=sup;
	goto T69;
T68:;
	V28= VV[17];
T69:;
	base[1]= list(3,VV[26],Ct,make_cons((V28),Cnil));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1083	*/

static L15()
{register object *base=vs_base;
	register object *sup=base+VM15; VC15
	vs_reserve(VM15);
	{object V29;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T71;}
	V29=(base[0]);
	vs_top=sup;
	goto T72;
T71:;
	V29= VV[17];
T72:;
	base[1]= list(3,VV[26],VV[24],make_cons((V29),Cnil));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	function definition for G1084	*/

static L16()
{register object *base=vs_base;
	register object *sup=base+VM16; VC16
	vs_reserve(VM16);
	{object V30;
	if(vs_top-vs_base>1) too_many_arguments();
	if(vs_base>=vs_top){vs_top=sup;goto T74;}
	V30=(base[0]);
	vs_top=sup;
	goto T75;
T74:;
	V30= VV[17];
T75:;
	base[1]= list(3,VV[26],VV[25],make_cons((V30),Cnil));
	vs_top=(vs_base=base+1)+1;
	return;
	}
}
/*	local entry for function SIMPLE-ARRAY-P	*/

static object LI17(V32)

register object V32;
{	 VMB17 VMS17 VMV17
TTL:;
	if(type_of((V32))==t_array||
type_of((V32))==t_vector||
type_of((V32))==t_string||
type_of((V32))==t_bitvector){
	goto T77;}
	{object V33 = Cnil;
	VMR17(V33)}
T77:;
	base[0]= (V32);
	vs_top=(vs_base=base+0)+1;
	Ladjustable_array_p();
	vs_top=sup;
	V34= vs_base[0];
	if((V34)==Cnil){
	goto T79;}
	{object V35 = Cnil;
	VMR17(V35)}
T79:;
	base[0]= (V32);
	vs_top=(vs_base=base+0)+1;
	(void) (*Lnk75)();
	vs_top=sup;
	V36= vs_base[0];
	if((V36)==Cnil){
	goto T83;}
	{object V37 = Cnil;
	VMR17(V37)}
T83:;
	base[0]= (V32);
	vs_top=(vs_base=base+0)+1;
	siLdisplaced_array_p();
	vs_top=sup;
	V38= vs_base[0];
	{object V39 = ((V38)==Cnil?Ct:Cnil);
	VMR17(V39)}
}
/*	function definition for TYPEP	*/

static L18()
{register object *base=vs_base;
	register object *sup=base+VM18; VC18
	vs_reserve(VM18);
	{register object V40;
	register object V41;
	check_arg(2);
	V40=(base[0]);
	V41=(base[1]);
	vs_top=sup;
TTL:;
	{register object V42;
	register object V43;
	object V44;
	V42= Cnil;
	V43= Cnil;
	V44= Cnil;
	if(!(type_of((V41))!=t_cons)){
	goto T94;}
	V42= (V41);
	V43= Cnil;
	goto T92;
T94:;
	V42= car((V41));
	V43= cdr((V41));
T92:;
	{object V45;
	V45= get((V42),VV[27],Cnil);
	if(((V45))==Cnil){
	goto T102;}
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	super_funcall_no_event((V45));
	return;}
T102:;
	{object V46= (V42);
	if((V46!= VV[36]))goto T107;
	{register object x= (V40),V47= (V43);
	while(!endp(V47))
	if(eql(x,V47->c.c_car)){
	base[2]= V47;
	vs_top=(vs_base=base+2)+1;
	return;
	}else V47=V47->c.c_cdr;
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;}
T107:;
	if((V46!= VV[39]))goto T108;
	base[2]= (V40);
	base[3]= car((V43));
	vs_top=(vs_base=base+2)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	V48= vs_base[0];
	base[2]= ((V48)==Cnil?Ct:Cnil);
	vs_top=(vs_base=base+2)+1;
	return;
T108:;
	if((V46!= VV[37]))goto T112;
	{register object V49;
	V49= (V43);
T114:;
	if(((V49))!=Cnil){
	goto T115;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T115:;
	base[2]= (V40);
	base[3]= car((V49));
	vs_top=(vs_base=base+2)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	if((vs_base[0])==Cnil){
	goto T119;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T119:;
	V49= cdr((V49));
	goto T114;}
T112:;
	if((V46!= VV[38]))goto T127;
	{register object V50;
	V50= (V43);
T129:;
	if(((V50))!=Cnil){
	goto T130;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T130:;
	base[2]= (V40);
	base[3]= car((V50));
	vs_top=(vs_base=base+2)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T134;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T134:;
	V50= cdr((V50));
	goto T129;}
T127:;
	if((V46!= VV[77]))goto T142;
	base[2]= car((V43));
	base[3]= (V40);
	vs_top=(vs_base=base+3)+1;
	super_funcall_no_event(base[2]);
	return;
T142:;
	if((V46!= Ct))goto T145;
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T145:;
	if((V46!= Cnil))goto T146;
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T146:;
	if((V46!= VV[28]))goto T147;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Ltype_of();
	vs_top=sup;
	V51= vs_base[0];
	base[2]= ((V51)==(VV[28])?Ct:Cnil);
	vs_top=(vs_base=base+2)+1;
	return;
T147:;
	if((V46!= VV[29]))goto T150;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Ltype_of();
	vs_top=sup;
	V52= vs_base[0];
	base[2]= ((V52)==(VV[29])?Ct:Cnil);
	vs_top=(vs_base=base+2)+1;
	return;
T150:;
	if((V46!= VV[30]))goto T153;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Ltype_of();
	vs_top=sup;
	V53= vs_base[0];
	base[2]= ((V53)==(VV[30])?Ct:Cnil);
	vs_top=(vs_base=base+2)+1;
	return;
T153:;
	if((V46!= VV[78]))goto T156;
	if(type_of((V40))==t_character){
	goto T157;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T157:;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lstandard_char_p();
	return;
T156:;
	if((V46!= VV[24]))goto T160;
	if(type_of((V40))==t_character){
	goto T161;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T161:;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lstring_char_p();
	return;
T160:;
	if((V46!= VV[13]))goto T164;
	if(type_of((V40))==t_fixnum||type_of((V40))==t_bignum){
	goto T165;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T165:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T164:;
	if((V46!= VV[61]))goto T167;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	(void) (*Lnk80)();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T168;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T168:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T167:;
	if((V46!= VV[54]))goto T171;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	(void) (*Lnk81)();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T172;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T172:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T171:;
	if((V46!= VV[62]))goto T175;
	if(type_of((V40))==t_shortfloat||type_of((V40))==t_longfloat){
	goto T176;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T176:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T175:;
	if((V46!= VV[31]))goto T178;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Ltype_of();
	vs_top=sup;
	V54= vs_base[0];
	if((V54)==(VV[31])){
	goto T179;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T179:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T178:;
	if((V46!= VV[82])
	&& (V46!= VV[83])
	&& (V46!= VV[32]))goto T183;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Ltype_of();
	vs_top=sup;
	V55= vs_base[0];
	if((V55)==(VV[32])){
	goto T184;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T184:;
	base[2]= (*(LnkLI79))((V40),(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T183:;
	if((V46!= VV[65]))goto T188;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lcomplexp();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T189;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T189:;
	if(!(((V43))==Cnil)){
	goto T192;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T192:;
	base[3]= (V40);
	vs_top=(vs_base=base+3)+1;
	Lrealpart();
	vs_top=sup;
	base[2]= vs_base[0];
	base[3]= car((V43));
	vs_top=(vs_base=base+2)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T194;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T194:;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Limagpart();
	vs_top=sup;
	V40= vs_base[0];
	V41= car((V43));
	goto TTL;
T188:;
	if((V46!= VV[43]))goto T203;
	if(!(type_of((V40))==t_cons||((V40))==Cnil)){
	goto T204;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T204:;
	base[2]= (type_of((V40))==t_vector||
type_of((V40))==t_string||
type_of((V40))==t_bitvector?Ct:Cnil);
	vs_top=(vs_base=base+2)+1;
	return;
T203:;
	if((V46!= VV[84]))goto T206;
	if(type_of((V40))==t_string){
	goto T207;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T207:;
	if(!(((V43))==Cnil)){
	goto T209;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T209:;
	V56= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V56,(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T206:;
	if((V46!= VV[87]))goto T211;
	if((type_of((V40))==t_bitvector)){
	goto T212;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T212:;
	if(!(((V43))==Cnil)){
	goto T214;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T214:;
	V57= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V57,(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T211:;
	if((V46!= VV[88]))goto T216;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lsimple_string_p();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T217;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T217:;
	if(!(((V43))==Cnil)){
	goto T220;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T220:;
	V58= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V58,(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T216:;
	if((V46!= VV[89]))goto T222;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lsimple_bit_vector_p();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T223;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T223:;
	if(!(((V43))==Cnil)){
	goto T226;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T226:;
	V59= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V59,(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T222:;
	if((V46!= VV[90]))goto T228;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Lsimple_vector_p();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T229;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T229:;
	if(!(((V43))==Cnil)){
	goto T232;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T232:;
	V60= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V60,(V43));
	vs_top=(vs_base=base+2)+1;
	return;
T228:;
	if((V46!= VV[26]))goto T234;
	if(((*(LnkLI91))((V40)))!=Cnil){
	goto T235;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T235:;
	if(!(endp((V43)))){
	goto T239;}
	goto T237;
T239:;
	if(!((car((V43)))==(VV[17]))){
	goto T241;}
	goto T237;
T241:;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Larray_element_type();
	vs_top=sup;
	V61= vs_base[0];
	V62= (*(LnkLI92))(car((V43)));
	if(equal(V61,/* INLINE-ARGS */V62)){
	goto T237;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T237:;
	if(!(endp(cdr((V43))))){
	goto T245;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T245:;
	if(!((cadr((V43)))==(VV[17]))){
	goto T247;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T247:;
	V63= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V63,cadr((V43)));
	vs_top=(vs_base=base+2)+1;
	return;
T234:;
	if((V46!= VV[22]))goto T249;
	if(type_of((V40))==t_array||
type_of((V40))==t_vector||
type_of((V40))==t_string||
type_of((V40))==t_bitvector){
	goto T250;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T250:;
	if(!(endp((V43)))){
	goto T254;}
	goto T252;
T254:;
	if(!((car((V43)))==(VV[17]))){
	goto T256;}
	goto T252;
T256:;
	base[2]= (V40);
	vs_top=(vs_base=base+2)+1;
	Larray_element_type();
	vs_top=sup;
	V64= vs_base[0];
	V65= (*(LnkLI92))(car((V43)));
	if(equal(V64,/* INLINE-ARGS */V65)){
	goto T252;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T252:;
	if(!(endp(cdr((V43))))){
	goto T260;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T260:;
	if(!((cadr((V43)))==(VV[17]))){
	goto T262;}
	base[2]= Ct;
	vs_top=(vs_base=base+2)+1;
	return;
T262:;
	V66= (*(LnkLI86))((V40));
	base[2]= (*(LnkLI85))(/* INLINE-ARGS */V66,cadr((V43)));
	vs_top=(vs_base=base+2)+1;
	return;
T249:;
	V44= get((V42),VV[33],Cnil);
	if(((V44))==Cnil){
	goto T265;}
	base[2]= (V40);
	base[3]= (V44);
	vs_top=(vs_base=base+2)+2;
	(void) (*Lnk93)();
	return;
T265:;
	if((get((V42),VV[34],Cnil))==Cnil){
	goto T271;}
	base[2]= get((V42),VV[34],Cnil);
	{object V67;
	V67= (V43);
	 vs_top=base+3;
	 while(!endp(V67))
	 {vs_push(car(V67));V67=cdr(V67);}
	vs_base=base+3;}
	super_funcall_no_event(base[2]);
	vs_top=sup;
	V41= vs_base[0];
	goto TTL;
T271:;
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;}}
	}
}
/*	local entry for function NORMALIZE-TYPE	*/

static object LI19(V69)

register object V69;
{	 VMB19 VMS19 VMV19
TTL:;
	{register object V70;
	register object V71;
	V70= Cnil;
	V71= Cnil;
T281:;
	if(!(type_of((V69))!=t_cons)){
	goto T285;}
	V70= (V69);
	V71= Cnil;
	goto T283;
T285:;
	V70= car((V69));
	V71= cdr((V69));
T283:;
	if((get((V70),VV[34],Cnil))==Cnil){
	goto T294;}
	base[0]= get((V70),VV[34],Cnil);
	{object V72;
	V72= (V71);
	 vs_top=base+1;
	 while(!endp(V72))
	 {vs_push(car(V72));V72=cdr(V72);}
	vs_base=base+1;}
	super_funcall_no_event(base[0]);
	vs_top=sup;
	V69= vs_base[0];
	goto T282;
T294:;
	if(!(type_of((V69))!=t_cons)){
	goto T300;}
	{object V73 = make_cons((V69),Cnil);
	VMR19(V73)}
T300:;
	{object V74 = (V69);
	VMR19(V74)}
T282:;
	goto T281;}
}
/*	local entry for function KNOWN-TYPE-P	*/

static object LI20(V76)

register object V76;
{	 VMB20 VMS20 VMV20
TTL:;
	if(!(type_of((V76))==t_cons)){
	goto T303;}
	V76= car((V76));
T303:;
	{register object x= (V76),V77= VV[35];
	while(!endp(V77))
	if(eql(x,V77->c.c_car)){
	goto T307;
	}else V77=V77->c.c_cdr;}
	if((get((V76),VV[33],Cnil))==Cnil){
	goto T308;}
T307:;
	{object V78 = Ct;
	VMR20(V78)}
T308:;
	{object V79 = Cnil;
	VMR20(V79)}
}
/*	function definition for SUBTYPEP	*/

static L21()
{register object *base=vs_base;
	register object *sup=base+VM21; VC21
	vs_reserve(VM21);
	{object V80;
	object V81;
	check_arg(2);
	V80=(base[0]);
	V81=(base[1]);
	vs_top=sup;
TTL:;
	{object V82;
	object V83;
	object V84;
	object V85;
	object V86;
	object V87;
	object V88;
	V82= Cnil;
	V83= Cnil;
	V84= Cnil;
	V85= Cnil;
	V86= Cnil;
	V87= Cnil;
	V88= Cnil;
	V80= (*(LnkLI94))((V80));
	V81= (*(LnkLI94))((V81));
	if(!(equal((V80),(V81)))){
	goto T323;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T323:;
	V82= car((V80));
	V83= car((V81));
	V84= cdr((V80));
	V85= cdr((V81));
	if(!(((V82))==(VV[36]))){
	goto T338;}
	{register object V89;
	object V90;
	V89= (V84);
	V90= car((V89));
T344:;
	if(!(endp((V89)))){
	goto T345;}
	goto T340;
T345:;
	base[3]= (V90);
	base[4]= (V81);
	vs_top=(vs_base=base+3)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	if((vs_base[0])!=Cnil){
	goto T349;}
	base[3]= Cnil;
	base[4]= Ct;
	vs_top=(vs_base=base+3)+2;
	return;
T349:;
	V89= cdr((V89));
	V90= car((V89));
	goto T344;}
T340:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T338:;
	if(!(((V82))==(VV[37]))){
	goto T364;}
	{register object V91;
	object V92;
	V91= (V84);
	V92= car((V91));
T370:;
	if(!(endp((V91)))){
	goto T371;}
	goto T366;
T371:;
	{object V93;
	object V94;
	base[3]= (V92);
	base[4]= (V81);
	vs_top=(vs_base=base+3)+2;
	(void) (*Lnk95)();
	if(vs_base>=vs_top){vs_top=sup;goto T379;}
	V93= vs_base[0];
	vs_base++;
	if(vs_base>=vs_top){vs_top=sup;goto T380;}
	V94= vs_base[0];
	vs_top=sup;
	goto T381;
T379:;
	V93= Cnil;
T380:;
	V94= Cnil;
T381:;
	if(((V93))!=Cnil){
	goto T375;}
	base[3]= (V93);
	base[4]= (V94);
	vs_top=(vs_base=base+3)+2;
	return;}
T375:;
	V91= cdr((V91));
	V92= car((V91));
	goto T370;}
T366:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T364:;
	if(!(((V82))==(VV[38]))){
	goto T394;}
	{register object V95;
	object V96;
	V95= (V84);
	V96= car((V95));
T400:;
	if(!(endp((V95)))){
	goto T401;}
	goto T396;
T401:;
	{object V97;
	base[3]= (V96);
	base[4]= (V81);
	vs_top=(vs_base=base+3)+2;
	(void) (*Lnk95)();
	vs_top=sup;
	V97= vs_base[0];
	if(((V97))==Cnil){
	goto T405;}
	base[3]= Ct;
	base[4]= Ct;
	vs_top=(vs_base=base+3)+2;
	return;}
T405:;
	V95= cdr((V95));
	V96= car((V95));
	goto T400;}
T396:;
	base[2]= Cnil;
	base[3]= Cnil;
	vs_top=(vs_base=base+2)+2;
	return;
T394:;
	if(!(((V82))==(VV[39]))){
	goto T336;}
	if(!(((V83))==(VV[39]))){
	goto T423;}
	V80= car((V85));
	V81= car((V84));
	goto TTL;
T423:;
	V80= Ct;
	V81= list(3,VV[37],(V81),car((V84)));
	goto TTL;
T336:;
	if(!(((V83))==(VV[36]))){
	goto T433;}
	base[2]= Cnil;
	base[3]= Cnil;
	vs_top=(vs_base=base+2)+2;
	return;
T433:;
	if(!(((V83))==(VV[37]))){
	goto T438;}
	{register object V98;
	object V99;
	V98= (V85);
	V99= car((V98));
T444:;
	if(!(endp((V98)))){
	goto T445;}
	goto T440;
T445:;
	{object V100;
	base[3]= (V80);
	base[4]= (V99);
	vs_top=(vs_base=base+3)+2;
	(void) (*Lnk95)();
	vs_top=sup;
	V100= vs_base[0];
	if(((V100))==Cnil){
	goto T449;}
	base[3]= Ct;
	base[4]= Ct;
	vs_top=(vs_base=base+3)+2;
	return;}
T449:;
	V98= cdr((V98));
	V99= car((V98));
	goto T444;}
T440:;
	base[2]= Cnil;
	base[3]= Cnil;
	vs_top=(vs_base=base+2)+2;
	return;
T438:;
	if(!(((V83))==(VV[38]))){
	goto T465;}
	{register object V101;
	object V102;
	V101= (V85);
	V102= car((V101));
T471:;
	if(!(endp((V101)))){
	goto T472;}
	goto T467;
T472:;
	{object V103;
	object V104;
	base[3]= (V80);
	base[4]= (V102);
	vs_top=(vs_base=base+3)+2;
	(void) (*Lnk95)();
	if(vs_base>=vs_top){vs_top=sup;goto T480;}
	V103= vs_base[0];
	vs_base++;
	if(vs_base>=vs_top){vs_top=sup;goto T481;}
	V104= vs_base[0];
	vs_top=sup;
	goto T482;
T480:;
	V103= Cnil;
T481:;
	V104= Cnil;
T482:;
	if(((V103))!=Cnil){
	goto T476;}
	base[3]= (V103);
	base[4]= (V104);
	vs_top=(vs_base=base+3)+2;
	return;}
T476:;
	V101= cdr((V101));
	V102= car((V101));
	goto T471;}
T467:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T465:;
	if(!(((V83))==(VV[39]))){
	goto T431;}
	V80= list(3,VV[38],(V80),car((V85)));
	V81= Cnil;
	goto TTL;
T431:;
	V86= (*(LnkLI96))((V80));
	V87= (*(LnkLI96))((V81));
	if(((V82))==(Cnil)){
	goto T503;}
	if(((V83))==(Ct)){
	goto T503;}
	if(!(((V83))==(VV[40]))){
	goto T504;}
T503:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T504:;
	if(!(((V83))==(Cnil))){
	goto T513;}
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T513:;
	if(!(((V82))==(Ct))){
	goto T518;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T518:;
	if(!(((V82))==(VV[40]))){
	goto T523;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T523:;
	if(!(((V83))==(VV[41]))){
	goto T528;}
	{register object x= (V82),V105= VV[42];
	while(!endp(V105))
	if(eql(x,V105->c.c_car)){
	goto T532;
	}else V105=V105->c.c_cdr;
	goto T531;}
T532:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T531:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T528:;
	if(!(((V83))==(VV[43]))){
	goto T538;}
	{register object x= (V82),V106= VV[44];
	while(!endp(V106))
	if(eql(x,V106->c.c_car)){
	goto T542;
	}else V106=V106->c.c_cdr;
	goto T541;}
T542:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T541:;
	if(!(((V82))==(VV[22]))){
	goto T546;}
	if((cdr((V84)))==Cnil){
	goto T549;}
	if(!(type_of(cadr((V84)))==t_cons)){
	goto T549;}
	if((cdadr((V84)))!=Cnil){
	goto T549;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T549:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T546:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T538:;
	if(!(((V82))==(VV[41]))){
	goto T562;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T562:;
	if(!(((V82))==(VV[43]))){
	goto T567;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T567:;
	if(!(((V83))==(VV[45]))){
	goto T572;}
	{register object x= (V82),V107= VV[46];
	while(!endp(V107))
	if(eql(x,V107->c.c_car)){
	goto T576;
	}else V107=V107->c.c_cdr;
	goto T575;}
T576:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T575:;
	if(((V86))==Cnil){
	goto T580;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T580:;
	base[2]= Cnil;
	base[3]= Cnil;
	vs_top=(vs_base=base+2)+2;
	return;
T572:;
	if(!(((V82))==(VV[45]))){
	goto T587;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T587:;
	if(!(((V83))==(VV[47]))){
	goto T592;}
	{register object x= (V82),V108= VV[48];
	while(!endp(V108))
	if(eql(x,V108->c.c_car)){
	goto T596;
	}else V108=V108->c.c_cdr;
	goto T595;}
T596:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T595:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T592:;
	if(!(((V83))==(VV[49]))){
	goto T602;}
	if(!(((V82))==(VV[49]))){
	goto T605;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T605:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T602:;
	if(!(((V83))==(VV[50]))){
	goto T612;}
	if(!(((V82))==(VV[50]))){
	goto T615;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T615:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T612:;
	if(!(((V83))==(VV[51]))){
	goto T622;}
	{register object x= (V82),V109= VV[52];
	while(!endp(V109))
	if(eql(x,V109->c.c_car)){
	goto T626;
	}else V109=V109->c.c_cdr;
	goto T625;}
T626:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T625:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T622:;
	if(!(((V82))==(VV[51]))){
	goto T632;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T632:;
	if(!(((V83))==(VV[53]))){
	goto T637;}
	if(((V82))==(VV[53])){
	goto T639;}
	if((get((V82),VV[33],Cnil))==Cnil){
	goto T640;}
T639:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T640:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T637:;
	if(!(((V82))==(VV[53]))){
	goto T649;}
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T649:;
	V88= get((V82),VV[33],Cnil);
	if(((V88))==Cnil){
	goto T654;}
	{object V110;
	V110= get((V83),VV[33],Cnil);
	if(((V110))==Cnil){
	goto T659;}
	{register object V111;
	V111= (V88);
T662:;
	if(((V111))!=Cnil){
	goto T663;}
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T663:;
	if(!(((V111))==(V110))){
	goto T669;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T669:;
	V111= structure_ref((V111),VV[33],4);
	goto T662;}
T659:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;}
T654:;
	if(!(((V83))==(VV[54]))){
	goto T680;}
	{register object x= (V82),V113= VV[55];
	while(!endp(V113))
	if(eql(x,V113->c.c_car)){
	goto T685;
	}else V113=V113->c.c_cdr;
	goto T683;}
T685:;
	if(((*(LnkLI97))((V84),(V85)))==Cnil){
	goto T683;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T683:;
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T680:;
	if((get((V83),VV[33],Cnil))==Cnil){
	goto T692;}
	base[2]= Cnil;
	base[3]= (V86);
	vs_top=(vs_base=base+2)+2;
	return;
T692:;
	{object V114= (V82);
	if((V114!= VV[29]))goto T696;
	{object V115= (V83);
	if((V115!= VV[29]))goto T697;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T697:;
	if((V115!= VV[13])
	&& (V115!= VV[61]))goto T700;
	if(((*(LnkLI97))(VV[56],(V85)))==Cnil){
	goto T702;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T702:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T700:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;}
T696:;
	if((V114!= VV[30]))goto T710;
	{object V116= (V83);
	if((V116!= VV[30]))goto T711;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T711:;
	if((V116!= VV[61]))goto T714;
	if(((*(LnkLI97))(VV[57],(V85)))==Cnil){
	goto T716;}
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T716:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T714:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;}
T710:;
	if((V114!= VV[78]))goto T724;
	{register object x= (V83),V117= VV[58];
	while(!endp(V117))
	if(eql(x,V117->c.c_car)){
	goto T727;
	}else V117=V117->c.c_cdr;
	goto T726;}
T727:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T726:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T724:;
	if((V114!= VV[24]))goto T732;
	{register object x= (V83),V118= VV[59];
	while(!endp(V118))
	if(eql(x,V118->c.c_car)){
	goto T735;
	}else V118=V118->c.c_cdr;
	goto T734;}
T735:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T734:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T732:;
	if((V114!= VV[13]))goto T740;
	{register object x= (V83),V119= VV[60];
	while(!endp(V119))
	if(eql(x,V119->c.c_car)){
	goto T743;
	}else V119=V119->c.c_cdr;
	goto T742;}
T743:;
	base[2]= (*(LnkLI97))((V84),(V85));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T742:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T740:;
	if((V114!= VV[61]))goto T748;
	if(!(((V83))==(VV[61]))){
	goto T750;}
	base[2]= (*(LnkLI97))((V84),(V85));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T750:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T748:;
	if((V114!= VV[62]))goto T756;
	if(!(((V83))==(VV[62]))){
	goto T758;}
	base[2]= (*(LnkLI97))((V84),(V85));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T758:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T756:;
	if((V114!= VV[31]))goto T764;
	{register object x= (V83),V120= VV[63];
	while(!endp(V120))
	if(eql(x,V120->c.c_car)){
	goto T767;
	}else V120=V120->c.c_cdr;
	goto T766;}
T767:;
	base[2]= (*(LnkLI97))((V84),(V85));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T766:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T764:;
	if((V114!= VV[82])
	&& (V114!= VV[83])
	&& (V114!= VV[32]))goto T772;
	{register object x= (V83),V121= VV[64];
	while(!endp(V121))
	if(eql(x,V121->c.c_car)){
	goto T775;
	}else V121=V121->c.c_cdr;
	goto T774;}
T775:;
	base[2]= (*(LnkLI97))((V84),(V85));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T774:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T772:;
	if((V114!= VV[65]))goto T780;
	if(!(((V83))==(VV[65]))){
	goto T782;}{object V122;
	V122= car((V84));
	if(V122==Cnil)goto T786;
	V80= V122;
	goto T785;
T786:;}
	V80= Ct;
T785:;{object V123;
	V123= car((V85));
	if(V123==Cnil)goto T789;
	V81= V123;
	goto T788;
T789:;}
	V81= Ct;
T788:;
	goto TTL;
T782:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T780:;
	if((V114!= VV[26]))goto T793;
	if(((V83))==(VV[26])){
	goto T794;}
	if(!(((V83))==(VV[22]))){
	goto T795;}
T794:;
	if(endp((V84))){
	goto T800;}
	if(!((car((V84)))==(VV[17]))){
	goto T801;}
T800:;
	if(endp((V85))){
	goto T799;}
	if((car((V85)))==(VV[17])){
	goto T799;}
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T801:;
	if(endp((V85))){
	goto T799;}
	if((car((V85)))==(VV[17])){
	goto T799;}
	if(equal(car((V84)),car((V85)))){
	goto T799;}
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T799:;
	if(endp(cdr((V84)))){
	goto T820;}
	if(!((cadr((V84)))==(VV[17]))){
	goto T819;}
T820:;
	if(endp(cdr((V85)))){
	goto T824;}
	if(!((cadr((V85)))==(VV[17]))){
	goto T825;}
T824:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T825:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T819:;
	if(endp(cdr((V85)))){
	goto T834;}
	if(!((cadr((V85)))==(VV[17]))){
	goto T833;}
T834:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T833:;
	base[2]= (*(LnkLI85))(cadr((V84)),cadr((V85)));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T795:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T793:;
	if((V114!= VV[22]))goto T844;
	if(!(((V83))==(VV[22]))){
	goto T846;}
	if(endp((V84))){
	goto T849;}
	if(!((car((V84)))==(VV[17]))){
	goto T850;}
T849:;
	if(endp((V85))){
	goto T848;}
	if((car((V85)))==(VV[17])){
	goto T848;}
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T850:;
	if(endp((V85))){
	goto T848;}
	if((car((V85)))==(VV[17])){
	goto T848;}
	if(equal(car((V84)),car((V85)))){
	goto T848;}
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T848:;
	if(endp(cdr((V84)))){
	goto T869;}
	if(!((cadr((V84)))==(VV[17]))){
	goto T868;}
T869:;
	if(endp(cdr((V85)))){
	goto T873;}
	if(!((cadr((V85)))==(VV[17]))){
	goto T874;}
T873:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T874:;
	base[2]= Cnil;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T868:;
	if(endp(cdr((V85)))){
	goto T883;}
	if(!((cadr((V85)))==(VV[17]))){
	goto T882;}
T883:;
	base[2]= Ct;
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T882:;
	base[2]= (*(LnkLI85))(cadr((V84)),cadr((V85)));
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T846:;
	base[2]= Cnil;
	base[3]= (V87);
	vs_top=(vs_base=base+2)+2;
	return;
T844:;
	if(((V86))==Cnil){
	goto T894;}
	base[2]= (((V82))==((V83))?Ct:Cnil);
	base[3]= Ct;
	vs_top=(vs_base=base+2)+2;
	return;
T894:;
	base[2]= Cnil;
	base[3]= Cnil;
	vs_top=(vs_base=base+2)+2;
	return;}}
	}
}
/*	local entry for function SUB-INTERVAL-P	*/

static object LI22(V126,V127)

register object V126;register object V127;
{	 VMB22 VMS22 VMV22
TTL:;
	{register object V128;
	register object V129;
	register object V130;
	register object V131;
	V128= Cnil;
	V129= Cnil;
	V130= Cnil;
	V131= Cnil;
	if(!(endp((V126)))){
	goto T902;}
	V128= VV[17];
	V129= VV[17];
	goto T900;
T902:;
	if(!(endp(cdr((V126))))){
	goto T908;}
	V128= car((V126));
	V129= VV[17];
	goto T900;
T908:;
	V128= car((V126));
	V129= cadr((V126));
T900:;
	if(!(endp((V127)))){
	goto T918;}
	V130= VV[17];
	V131= VV[17];
	goto T916;
T918:;
	if(!(endp(cdr((V127))))){
	goto T924;}
	V130= car((V127));
	V131= VV[17];
	goto T916;
T924:;
	V130= car((V127));
	V131= cadr((V127));
T916:;
	if(!(((V128))==(VV[17]))){
	goto T934;}
	if(((V130))==(VV[17])){
	goto T932;}
	{object V132 = Cnil;
	VMR22(V132)}
T934:;
	{object V133;
	V133= (((V130))==(VV[17])?Ct:Cnil);
	if(((V133))==Cnil){
	goto T940;}
	goto T932;
T940:;
	if(!(type_of((V128))==t_cons)){
	goto T943;}
	if(!(type_of((V130))==t_cons)){
	goto T946;}
	if(!(number_compare(car((V128)),car((V130)))<0)){
	goto T932;}
	{object V134 = Cnil;
	VMR22(V134)}
T946:;
	if(!(number_compare(car((V128)),(V130))<0)){
	goto T932;}
	{object V135 = Cnil;
	VMR22(V135)}
T943:;
	{object V136;
	if(!(type_of((V130))==t_cons)){
	goto T954;}
	if(!(number_compare((V128),car((V130)))<=0)){
	goto T957;}
	{object V137 = Cnil;
	VMR22(V137)}
T957:;
	V136= Cnil;
	goto T952;
T954:;
	if(!(number_compare((V128),(V130))<0)){
	goto T960;}
	{object V138 = Cnil;
	VMR22(V138)}
T960:;
	V136= Cnil;
T952:;
	if(((V136))==Cnil){
	goto T932;}}}
T932:;
	if(!(((V129))==(VV[17]))){
	goto T966;}
	if(((V131))==(VV[17])){
	goto T964;}
	{object V139 = Cnil;
	VMR22(V139)}
T966:;
	{object V140;
	V140= (((V131))==(VV[17])?Ct:Cnil);
	if(((V140))==Cnil){
	goto T972;}
	goto T964;
T972:;
	if(!(type_of((V129))==t_cons)){
	goto T975;}
	if(!(type_of((V131))==t_cons)){
	goto T978;}
	if(!(number_compare(car((V129)),car((V131)))>0)){
	goto T964;}
	{object V141 = Cnil;
	VMR22(V141)}
T978:;
	if(!(number_compare(car((V129)),(V131))>0)){
	goto T964;}
	{object V142 = Cnil;
	VMR22(V142)}
T975:;
	{object V143;
	if(!(type_of((V131))==t_cons)){
	goto T986;}
	if(!(number_compare((V129),car((V131)))>=0)){
	goto T989;}
	{object V144 = Cnil;
	VMR22(V144)}
T989:;
	V143= Cnil;
	goto T984;
T986:;
	if(!(number_compare((V129),(V131))>0)){
	goto T992;}
	{object V145 = Cnil;
	VMR22(V145)}
T992:;
	V143= Cnil;
T984:;
	if(((V143))==Cnil){
	goto T964;}}}
T964:;
	{object V146 = Ct;
	VMR22(V146)}}
}
/*	local entry for function IN-INTERVAL-P	*/

static object LI23(V149,V150)

register object V149;register object V150;
{	 VMB23 VMS23 VMV23
TTL:;
	{register object V151;
	register object V152;
	V151= Cnil;
	V152= Cnil;
	if(!(endp((V150)))){
	goto T998;}
	V151= VV[17];
	V152= VV[17];
	goto T996;
T998:;
	if(!(endp(cdr((V150))))){
	goto T1004;}
	V151= car((V150));
	V152= VV[17];
	goto T996;
T1004:;
	V151= car((V150));
	V152= cadr((V150));
T996:;
	{object V153;
	V153= (((V151))==(VV[17])?Ct:Cnil);
	if(((V153))==Cnil){
	goto T1015;}
	goto T1012;
T1015:;
	if(!(type_of((V151))==t_cons)){
	goto T1018;}
	if(!(number_compare((V149),car((V151)))<=0)){
	goto T1012;}
	{object V154 = Cnil;
	VMR23(V154)}
T1018:;
	{object V155;
	if(!(number_compare((V149),(V151))<0)){
	goto T1024;}
	{object V156 = Cnil;
	VMR23(V156)}
T1024:;
	V155= Cnil;
	if(((V155))==Cnil){
	goto T1012;}}}
T1012:;
	{object V157;
	V157= (((V152))==(VV[17])?Ct:Cnil);
	if(((V157))==Cnil){
	goto T1031;}
	goto T1028;
T1031:;
	if(!(type_of((V152))==t_cons)){
	goto T1034;}
	if(!(number_compare((V149),car((V152)))>=0)){
	goto T1028;}
	{object V158 = Cnil;
	VMR23(V158)}
T1034:;
	{object V159;
	if(!(number_compare((V149),(V152))>0)){
	goto T1040;}
	{object V160 = Cnil;
	VMR23(V160)}
T1040:;
	V159= Cnil;
	if(((V159))==Cnil){
	goto T1028;}}}
T1028:;
	{object V161 = Ct;
	VMR23(V161)}}
}
/*	local entry for function MATCH-DIMENSIONS	*/

static object LI24(V164,V165)

object V164;register object V165;
{	 VMB24 VMS24 VMV24
TTL:;
	if(((V164))!=Cnil){
	goto T1045;}
	{object V166 = (((V165))==Cnil?Ct:Cnil);
	VMR24(V166)}
T1045:;
	if(!((car((V165)))==(VV[17]))){
	goto T1049;}
	goto T1047;
T1049:;
	if((car((V164)))==(car((V165)))){
	goto T1047;}
	{object V167 = Cnil;
	VMR24(V167)}
T1047:;
	V164= cdr((V164));
	V165= cdr((V165));
	goto TTL;
}
/*	local entry for function COERCE	*/

static object LI25(V170,V171)

register object V170;object V171;
{	 VMB25 VMS25 VMV25
TTL:;
	base[0]= (V170);
	base[1]= (V171);
	vs_top=(vs_base=base+0)+2;
	(void) (*Lnk76)();
	vs_top=sup;
	if((vs_base[0])==Cnil){
	goto T1054;}
	{object V172 = (V170);
	VMR25(V172)}
T1054:;
	V171= (*(LnkLI94))((V171));
	{object V173= car((V171));
	if((V173!= VV[41]))goto T1061;
	{register object V174;
	register object V175;
	V176 = make_fixnum(length((V170)));
	V175= one_minus(V176);
	V174= Cnil;
T1064:;
	if(!(number_compare((V175),small_fixnum(0))<0)){
	goto T1065;}
	{object V177 = (V174);
	VMR25(V177)}
T1065:;
	V178= elt((V170),fixint((V175)));
	V174= make_cons(/* INLINE-ARGS */V178,(V174));
	V175= one_minus((V175));
	goto T1064;}
T1061:;
	if((V173!= VV[22])
	&& (V173!= VV[26]))goto T1073;
	if(endp(cdr((V171)))){
	goto T1074;}
	if(endp(cddr((V171)))){
	goto T1074;}
	if((caddr((V171)))==(VV[17])){
	goto T1074;}
	if(endp(cdr(caddr((V171))))){
	goto T1074;}
	base[0]= VV[66];
	vs_top=(vs_base=base+0)+1;
	Lerror();
	vs_top=sup;
T1074:;
	{register object V179;
	register object V180;
	register object V181;
	V182 = make_fixnum(length((V170)));
	V179= (VFUN_NARGS=2,(*(LnkLI98))((V171),V182));
	V181= make_fixnum(length((V170)));
	V180= small_fixnum(0);
T1087:;
	if(!(number_compare((V180),(V181))>=0)){
	goto T1088;}
	{object V183 = (V179);
	VMR25(V183)}
T1088:;
	V184= elt((V170),fixint((V180)));
	(void)(elt_set((V179),fixint((V180)),/* INLINE-ARGS */V184));
	V180= one_plus((V180));
	goto T1087;}
T1073:;
	if((V173!= VV[99]))goto T1096;
	base[0]= (V170);
	vs_top=(vs_base=base+0)+1;
	Lcharacter();
	vs_top=sup;
	{object V185 = vs_base[0];
	VMR25(V185)}
T1096:;
	if((V173!= VV[62]))goto T1098;
	base[0]= (V170);
	vs_top=(vs_base=base+0)+1;
	Lfloat();
	vs_top=sup;
	{object V186 = vs_base[0];
	VMR25(V186)}
T1098:;
	if((V173!= VV[31]))goto T1100;
	base[0]= (V170);
	base[1]= VV[67];
	vs_top=(vs_base=base+0)+2;
	Lfloat();
	vs_top=sup;
	{object V187 = vs_base[0];
	VMR25(V187)}
T1100:;
	if((V173!= VV[82])
	&& (V173!= VV[83])
	&& (V173!= VV[32]))goto T1103;
	base[0]= (V170);
	base[1]= VV[68];
	vs_top=(vs_base=base+0)+2;
	Lfloat();
	vs_top=sup;
	{object V188 = vs_base[0];
	VMR25(V188)}
T1103:;
	if((V173!= VV[65]))goto T1106;
	if((cdr((V171)))==Cnil){
	goto T1107;}
	if((cadr((V171)))==Cnil){
	goto T1107;}
	if(!((cadr((V171)))==(VV[17]))){
	goto T1108;}
T1107:;
	base[1]= (V170);
	vs_top=(vs_base=base+1)+1;
	Lrealpart();
	vs_top=sup;
	base[0]= vs_base[0];
	base[2]= (V170);
	vs_top=(vs_base=base+2)+1;
	Limagpart();
	vs_top=sup;
	base[1]= vs_base[0];
	vs_top=(vs_base=base+0)+2;
	Lcomplex();
	vs_top=sup;
	{object V189 = vs_base[0];
	VMR25(V189)}
T1108:;
	base[1]= (V170);
	vs_top=(vs_base=base+1)+1;
	Lrealpart();
	vs_top=sup;
	V190= vs_base[0];
	base[0]= (*(LnkLI100))(V190,cadr((V171)));
	base[2]= (V170);
	vs_top=(vs_base=base+2)+1;
	Limagpart();
	vs_top=sup;
	V191= vs_base[0];
	base[1]= (*(LnkLI100))(V191,cadr((V171)));
	vs_top=(vs_base=base+0)+2;
	Lcomplex();
	vs_top=sup;
	{object V192 = vs_base[0];
	VMR25(V192)}
T1106:;
	base[0]= VV[69];
	base[1]= (V170);
	base[2]= (V171);
	vs_top=(vs_base=base+0)+3;
	Lerror();
	vs_top=sup;
	{object V193 = vs_base[0];
	VMR25(V193)}}
}
/*	function definition for WARN-VERSION	*/

static L26()
{register object *base=vs_base;
	register object *sup=base+VM26; VC26
	vs_reserve(VM26);
	{object V194;
	object V195;
	if(vs_top-vs_base<1) too_few_arguments();
	if(vs_top-vs_base>2) too_many_arguments();
	V194=(base[0]);
	vs_base=vs_base+1;
	if(vs_base>=vs_top){vs_top=sup;goto T1127;}
	V195=(base[1]);
	vs_top=sup;
	goto T1128;
T1127:;
	V195= Cnil;
T1128:;
	if(symbol_value(VV[70])==Cnil){
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;}
	if(!(((eql((V194),symbol_value(VV[70]))?Ct:Cnil))==Cnil)){
	goto T1132;}
	goto T1130;
T1132:;
	if(((eql((V195),symbol_value(VV[71]))?Ct:Cnil))==Cnil){
	goto T1130;}
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;
T1130:;
	if(symbol_value(VV[72])==Cnil){
	base[2]= Cnil;
	vs_top=(vs_base=base+2)+1;
	return;}
	base[2]= Ct;
	base[3]= VV[73];
	base[4]= (V195);
	base[5]= (V194);
	vs_top=(vs_base=base+2)+4;
	Lformat();
	return;
	}
}
static object  LnkTLI100(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[100],&LnkLI100,2,ap);} /* COERCE */
static object  LnkTLI98(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_vproc(VV[98],&LnkLI98,ap);} /* MAKE-SEQUENCE */
static object  LnkTLI97(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[97],&LnkLI97,2,ap);} /* SUB-INTERVAL-P */
static object  LnkTLI96(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[96],&LnkLI96,1,ap);} /* KNOWN-TYPE-P */
static LnkT95(){ call_or_link(VV[95],&Lnk95);} /* SUBTYPEP */
static object  LnkTLI94(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[94],&LnkLI94,1,ap);} /* NORMALIZE-TYPE */
static LnkT93(){ call_or_link(VV[93],&Lnk93);} /* STRUCTURE-SUBTYPE-P */
static object  LnkTLI92(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[92],&LnkLI92,1,ap);} /* BEST-ARRAY-ELEMENT-TYPE */
static object  LnkTLI91(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[91],&LnkLI91,1,ap);} /* SIMPLE-ARRAY-P */
static object  LnkTLI86(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[86],&LnkLI86,1,ap);} /* ARRAY-DIMENSIONS */
static object  LnkTLI85(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[85],&LnkLI85,2,ap);} /* MATCH-DIMENSIONS */
static LnkT81(){ call_or_link(VV[81],&Lnk81);} /* REALP */
static LnkT80(){ call_or_link(VV[80],&Lnk80);} /* RATIONALP */
static object  LnkTLI79(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[79],&LnkLI79,2,ap);} /* IN-INTERVAL-P */
static LnkT76(){ call_or_link(VV[76],&Lnk76);} /* TYPEP */
static LnkT75(){ call_or_link(VV[75],&Lnk75);} /* ARRAY-HAS-FILL-POINTER-P */
static object  LnkTLI74(va_alist)va_dcl{va_list ap;va_start(ap);return(object )call_proc(VV[74],&LnkLI74,1,ap);} /* FIND-DOCUMENTATION */

#ifdef SYSTEM_SPECIAL_INIT
SYSTEM_SPECIAL_INIT
#endif

